> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get working time users

> Gets information about working time for all users in the company. The response is an object where keys are user IDs and values are arrays of working time entries.



## OpenAPI

````yaml /api-reference/openapi.json get /working-time/company/with/users
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /working-time/company/with/users:
    get:
      tags:
        - Working Time
      summary: Get working time users
      description: >-
        Gets information about working time for all users in the company. The
        response is an object where keys are user IDs and values are arrays of
        working time entries.
      responses:
        '200':
          description: Working time data grouped by user ID
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    $ref: '#/components/schemas/WorkingTime'
              example:
                '12345':
                  - daily_hours: 9
                    day_of_week: 1
                    start_at: '09:00:00'
                    end_at: '18:00:00'
                    user_id: 12345
                    break_time: 0
                  - daily_hours: 8
                    day_of_week: 2
                    start_at: '09:00:00'
                    end_at: '18:00:00'
                    user_id: 12345
                    break_time: 1
components:
  schemas:
    WorkingTime:
      type: object
      properties:
        daily_hours:
          type: number
        day_of_week:
          type: integer
          description: Day of the week (1=Sunday, 7=Saturday)
        start_at:
          type: string
          description: Start time (HH:MM:SS)
        end_at:
          type: string
          description: End time (HH:MM:SS)
        user_id:
          type: integer
        break_time:
          type: number
          description: Break duration in hours
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````